Skip to main content
GET
/
libraries
/
{libraryId}
/
players
List Players Themes
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/players",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "created_at": "2025-10-19T20:00:43.475427+06:00",
      "updated_at": "2025-10-19T20:04:51.610702+06:00",
      "created_by": "ce877d84-c433-46fc-803d-ede73a8375bc",
      "updated_by": "ce877d84-c433-46fc-803d-ede73a8375bc",
      "font_family": "Rubik",
      "custom_html_footer": "<footer>Powered by MyApp</footer>",
      "name": "Default Player Changes",
      "language": "en",
      "custom_html_head": "<!-- Custom analytics script -->",
      "playback_speeds": [
        0.5,
        1,
        1.5,
        2
      ],
      "appearance": {
        "primary_color": "#1D9BF0",
        "caption_font_color": "#FFFFFF",
        "caption_background_color": "#000000",
        "font_size": 16,
        "caption_font_size": 18
      },
      "library_id": "b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9",
      "organization_id": "8babf060-e844-49e5-893c-35d0bf2edfc6",
      "id": "1aaff3a6-5d28-4be5-a503-eff1f33e7010",
      "controls": {
        "backward": false,
        "forward": false,
        "airplay": false,
        "big_play_button": false,
        "captions": true,
        "chromecast": false,
        "current_time": true,
        "duration": true,
        "fullscreen": true,
        "mute": true,
        "picture_in_picture": true,
        "play_pause": true,
        "progress": true,
        "settings": true,
        "volume": true
      },
      "is_beta_enabled": true,
      "is_default": false,
      "enable_resumable_position": true
    }
  ],
  "meta": {
    "links": {
      "self": "/libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1",
      "first": "/libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1",
      "last": "/libraries/b17ccdc7-eb3d-4d03-b0af-781d3c38c7e9/players?limit=20&page=1"
    },
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total": 1,
      "total_pages": 1
    }
  },
  "message": "Players Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Response

data
object[]
required
meta
object
required
message
string
required
success
boolean
required